dnsjit.core.object.ip6(3)

NAME
dnsjit.core.object.ip6 - An IPv6 packet

DESCRIPTION
An IPv6 packet that usually can be found in the object chain after parsing with, for example, Layer filter.

  Attributes

flow
    4 bits version, 8 bits TC and 20 bits flow-ID.

plen
    Payload length (as in the IPv6 header).

nxt Next header.

hlim
    Hop limit.

src Source address.

dst Destination address.

is_frag
    1 bit, set if packet is a fragment.

have_rtdst
    1 bit, set if rtdst is set.

frag_offlg
    Offset, reserved, and flag taken from the fragment header.

frag_ident
    Identification taken from the fragment header.

rtdst
    Destination address found in the routing extension header.

hlen
    The length of extension headers, in bytes.

payload
    A pointer to the payload.

len The length of the payload.

pad_len
    The length of padding found, if any.

  Functions

Ip6:type()
    Return the textual type of the object.

Ip6:prev()
    Return the previous object.

Ip6:cast()
    Cast the object to the underlining object module and return it.

Ip6:uncast()
    Cast the object to the generic object module and return it.

Ip6:copy()
    Make a copy of the object and return it.

Ip6:free()
    Free the object, should only be used on copies or otherwise allocated.

Ip6:source(pretty)
    Return the IPv6 source as a string. If pretty is true then return an easier to read IPv6 address.

Ip6:destination(pretty)
    Return the IPv6 destination as a string. If pretty is true then return an easier to read IPv6 address.

SEE ALSO
dnsjit.core.object(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net